const client = new OSS({
    // yourregion填写Bucket所在地域。以华东1（杭州）为例，Region填写为oss-cn-hangzhou。
    region: "oss-cn-hangzhou",
    // 从环境变量中获取访问凭证。运行本代码示例之前，请确保已设置环境变量OSS_ACCESS_KEY_ID和OSS_ACCESS_KEY_SECRET。
    accessKeyId: "LTAI5tE7wuNkeT9jZ42bQnyr",
    accessKeySecret: "NnutvWhKl4HbQFSad3HosYbCkEkbjN",
    // 填写存储空间名称。
    bucket: "ltcloudfile",
    endpoint: "https://oss-cn-hangzhou.aliyuncs.com",
});

async function uploadFile(file) {
    let fileDir = dateFtt("yyyyMMdd", new Date())
    let name = "priceImages/" + fileDir + "/" + guid() + getSuff(file.name);
    // 填写Object完整路径。Object完整路径中不能包含Bucket名称。
    // 您可以通过自定义文件名（例如exampleobject.txt）或文件完整路径（例如exampledir/exampleobject.txt）的形式实现将数据上传到当前Bucket或Bucket中的指定目录。
    // data对象可以自定义为file对象、Blob数据或者OSS Buffer。
    const options = {
    };
    let index = layer.load();
    const result = await client.put(name, file, options);
    layer.close(index);
    return result.url;
}

function dateFtt(fmt, date) {
    var o = {
        "M+": date.getMonth() + 1,                 //月份
        "d+": date.getDate(),                    //日
        "h+": date.getHours(),                   //小时
        "m+": date.getMinutes(),                 //分
        "s+": date.getSeconds(),                 //秒
        "q+": Math.floor((date.getMonth() + 3) / 3), //季度
        "S": date.getMilliseconds()             //毫秒
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (var k in o) {
        if (new RegExp("(" + k + ")").test(fmt))
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));

    }
    return fmt;

}

function getSuff(name) {
    return name.substring(name.lastIndexOf("."));
}

function guid() {
    return "xxxxxxxx-xxxx-4xxx-yxxx".replace(/[xy]/g, function (c) {
        var r = (Math.random() * 16) | 0,
            v = c == "x" ? r : (r & 0x3) | 0x8;
        return v.toString(16);
    });
}